<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRuleSalesDiscountLabel" jhiTranslate="mpmApp.ruleSalesDiscount.home.createOrEditLabel">Create or edit a Rule Sales Discount</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!ruleSalesDiscount.idRule">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="ruleSalesDiscount.idRule" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.role" for="field_role">Role</label>
            <select class="form-control" id="field_role" name="role" [(ngModel)]="ruleSalesDiscount.role" >
                <option [ngValue]="null">Please select role</option>
                <option [ngValue]="role.value" *ngFor="let role of roles | keys">{{role.key | UpperFirstCase}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.sequenceNumber" for="field_sequenceNumber">Sequence Number</label>
            <input currencyMask class="form-control" name="sequenceNumber" id="field_sequenceNumber"
                [(ngModel)]="ruleSalesDiscount.sequenceNumber"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="ruleSalesDiscount.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="ruleSalesDiscount.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="ruleSalesDiscount.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleSalesDiscount.maxAmount" for="field_maxAmount">Max Amount</label>
            <input currencyMask class="form-control" name="maxAmount" id="field_maxAmount"
                [(ngModel)]="ruleSalesDiscount.maxAmount"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
